POST api/DoctorAvailabiltySlots
Creates a new doctor availabilty slots or updates an existent doctor availabilty slots' information.
Request Information
URI Parameters
None.
Body Parameters
Model used to retrieve or set information about a doctor availability slot.
DoctorAvailabilitySlotModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Notes |
The reason why a doctor is unavailable. |
string |
None. |
| LocationExternalId |
Location's unique ID on integrating system (Required). |
string |
None. |
| DoctorExternalId |
Doctor's unique ID on integrating system (Required). |
string |
None. |
| Available |
Indicates whether the doctor is available or not. |
boolean |
None. |
| AppointmentRequestReasonId |
Indicates whether the doctor has an appointment request reason or not.. |
globally unique identifier |
None. |
| DoctorAvailabilityDates |
List of doctor availability dates in doctor availability slot model. |
Collection of DoctorAvailabilityDate |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
{
"notes": "sample string 1",
"locationExternalId": "sample string 2",
"doctorExternalId": "sample string 3",
"available": true,
"appointmentRequestReasonId": "efea32b9-bf53-4157-a6f0-d4f6ef6a9962",
"doctorAvailabilityDates": [
{
"start": "2026-10-12T23:27:12.8517025+00:00",
"end": "2026-10-12T23:27:12.8517025+00:00"
},
{
"start": "2026-10-12T23:27:12.8517025+00:00",
"end": "2026-10-12T23:27:12.8517025+00:00"
}
],
"id": "c91b0b0f-286b-459c-ac51-f1e854ddad56",
"externalId": "sample string 6"
}
application/xml, text/xml
<DoctorAvailabilitySlotModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.DoctorAvailabilitySlots">
<ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 6</ExternalId>
<Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">c91b0b0f-286b-459c-ac51-f1e854ddad56</Id>
<AppointmentRequestReasonId>efea32b9-bf53-4157-a6f0-d4f6ef6a9962</AppointmentRequestReasonId>
<Available>true</Available>
<DoctorAvailabilityDates>
<DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
<End>2026-10-12T23:27:12.8517025+00:00</End>
<Start>2026-10-12T23:27:12.8517025+00:00</Start>
</DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
<DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
<End>2026-10-12T23:27:12.8517025+00:00</End>
<Start>2026-10-12T23:27:12.8517025+00:00</Start>
</DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
</DoctorAvailabilityDates>
<DoctorExternalId>sample string 3</DoctorExternalId>
<LocationExternalId>sample string 2</LocationExternalId>
<Notes>sample string 1</Notes>
</DoctorAvailabilitySlotModel>
application/x-www-form-urlencoded
Response Information
Resource Description
DoctorAvailabilitySlotModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Notes |
The reason why a doctor is unavailable. |
string |
None. |
| LocationExternalId |
Location's unique ID on integrating system (Required). |
string |
None. |
| DoctorExternalId |
Doctor's unique ID on integrating system (Required). |
string |
None. |
| Available |
Indicates whether the doctor is available or not. |
boolean |
None. |
| AppointmentRequestReasonId |
Indicates whether the doctor has an appointment request reason or not.. |
globally unique identifier |
None. |
| DoctorAvailabilityDates |
List of doctor availability dates in doctor availability slot model. |
Collection of DoctorAvailabilityDate |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
{
"notes": "sample string 1",
"locationExternalId": "sample string 2",
"doctorExternalId": "sample string 3",
"available": true,
"appointmentRequestReasonId": "3c97f4ee-3808-4c1a-a540-8fbb5dc49fd2",
"doctorAvailabilityDates": [
{
"start": "2026-10-12T23:27:12.8520938+00:00",
"end": "2026-10-12T23:27:12.8520938+00:00"
},
{
"start": "2026-10-12T23:27:12.8520938+00:00",
"end": "2026-10-12T23:27:12.8520938+00:00"
}
],
"id": "f8af15b6-ab3d-4f62-8bbf-43452db3deef",
"externalId": "sample string 6"
}
application/xml, text/xml
<DoctorAvailabilitySlotModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.DoctorAvailabilitySlots">
<ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 6</ExternalId>
<Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">f8af15b6-ab3d-4f62-8bbf-43452db3deef</Id>
<AppointmentRequestReasonId>3c97f4ee-3808-4c1a-a540-8fbb5dc49fd2</AppointmentRequestReasonId>
<Available>true</Available>
<DoctorAvailabilityDates>
<DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
<End>2026-10-12T23:27:12.8520938+00:00</End>
<Start>2026-10-12T23:27:12.8520938+00:00</Start>
</DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
<DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
<End>2026-10-12T23:27:12.8520938+00:00</End>
<Start>2026-10-12T23:27:12.8520938+00:00</Start>
</DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
</DoctorAvailabilityDates>
<DoctorExternalId>sample string 3</DoctorExternalId>
<LocationExternalId>sample string 2</LocationExternalId>
<Notes>sample string 1</Notes>
</DoctorAvailabilitySlotModel>